Fetch Quickbooks account
curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/quickbooks/ledger/accounts/{accountId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/quickbooks/ledger/accounts/{accountId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/quickbooks/ledger/accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "com.layerfi.routers.ApiQuickbooksLedgerAccount",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"stable_name": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"account_type": {
"display_name": "Asset"
},
"account_subtype": {
"display_name": "Current Assets"
},
"balance": 123,
"local_ledger_account": {
"type": "Single_Chart_Account",
"id": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "Current Assets",
"account_number": "4000",
"stable_name": {
"type": "StableName",
"stable_name": "CURRENT_ASSETS"
},
"account_type": {
"display_name": "Asset"
},
"account_subtype": {
"display_name": "Current Assets"
}
},
"child_accounts": "<array>"
}
}{
"description": "<string>",
"meta": {}
}Quickbooks Ledger
Fetch Quickbooks account
This API call fetches a specific Quickbooks account for a business.
GET
/
v1
/
businesses
/
{businessId}
/
quickbooks
/
ledger
/
accounts
/
{accountId}
Fetch Quickbooks account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the business to fetch Quickbooks account for.
The UUID of the Quickbooks account to fetch.
Response
Show child attributes
Show child attributes
⌘I